C
C   Do not put ANY metacommands here that would change fortran's default
C  data types--especially the STORAGE one affecting INTEGER variables!
C
C   The following is excerpted from the BIOASM routines.
C
      INTERFACE TO SUBROUTINE INTERRUPTX (intnum,inregsX,outregsX)
      structure /regsX/
          integer*2 ax,bx,cx,dx,si,di,es,ds,flags
      end structure
      integer*2 intnum
      record /regsX/ inregsX   [REFERENCE] ! Regs into INTERRUPTX
      record /regsX/ outregsX  [REFERENCE] ! Regs returned
      end
C
C   If you need/want to use IMPLICIT statements, they would go here
C  (before structure definitions but after interface definitions).
C
C   You don't really need the following structure definition or the
C  record block unless you're going to be calling interrupts in your
C  routine.
C
      structure /wordregsX/                  ! Full word registers
          integer*2 ax,bx,cx,dx,si,di,es,ds,flags
      end structure
      record /wordregsX/ inregsX,outregsX
C
C   Except for ERCODE's declaration, you don't really need the following
C  unless your MAIN routine is going to be using the particular GET???
C  function.  But it's a good idea to leave them here to be safe.  (The
C  example MAIN routine XMS.FOR uses everything but INTNUM.  INTNUM is
C  declared here in case you're going to be calling interrupts--calls to
C  INTERRUPTX must refer to a 2-byte interrupt number.)
C
      COMPLEX*16 GETC16
      COMPLEX*8 GETCMP
      REAL*8 GETDBL
      REAL*4 GETSNG
      INTEGER*4 ERCODE,GETINT,GETADD
      INTEGER*2 INTNUM,GETNT2
      INTEGER*1 GETNT1
      CHARACTER*10 ANAME
C
C   The following declarations are just for the example MAIN routine
C  XMS.FOR.  You can modify/delete/add to them however you wish in your
C  own program.
C
      COMPLEX*16 Z2,CDSQRT,DCMPLX
      COMPLEX*8 Z1,CSQRT
      REAL*8 X,DSQRT,DFLOAT
      INTEGER*4 ADD1,ADD2,ADD3,ADD4,ADD5,ADD6,ADD7,EC1,EC2,EC3,EC4,EC5,
     .EC6,EC7
      INTEGER*2 V,INT2
      INTEGER*1 V1,INT1
C
C   The following must be here.
C
      INTEGER*4 ADDRES,DRVEXT
      CHARACTER*10 TYPDAT,NAMDAT
      COMMON /XMSPAR/ADDRES(16),TYPDAT(16),NAMDAT(16),LENDAT(16),NARRAY,
     .DRVEXT
C
C   If you need to include DATA statements for your application, they
C  would go here.  You can change ERCODE to a nonzero value if you wish,
C  but don't mess with NARRAY!
C
      NARRAY=0
      ERCODE=0
